package com.shanghaichengdi.ghjgitem.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

/**
 * 浦江游览备案公共航班
 * @TableName WATER_PUBLIC_FLIGHTS
 */
@TableName(value ="GHJG_BUSSINESS.WATER_PUBLIC_FLIGHTS")
@Data
public class WaterPublicFlights {
    /**
     * 
     */
    @TableId
    private String code;

    /**
     * 
     */
    private String unitName;

    /**
     * 
     */
    private String filingMonth;

    /**
     * 
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date cdate;

    /**
     * 
     */
    private String cuser;

    /**
     * 
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date udate;

    /**
     * 
     */
    private String uuser;

    /**
     * 
     */
    private Date sumdate;

    /**
     * 
     */
    private String sumuser;

    /**
     * 
     */
    private String unitId;

    /**
     * 是否提交 0未提交 1已提交
     */
    private Long isSumuser;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        WaterPublicFlights other = (WaterPublicFlights) that;
        return (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode()))
            && (this.getUnitName() == null ? other.getUnitName() == null : this.getUnitName().equals(other.getUnitName()))
            && (this.getFilingMonth() == null ? other.getFilingMonth() == null : this.getFilingMonth().equals(other.getFilingMonth()))
            && (this.getCdate() == null ? other.getCdate() == null : this.getCdate().equals(other.getCdate()))
            && (this.getCuser() == null ? other.getCuser() == null : this.getCuser().equals(other.getCuser()))
            && (this.getUdate() == null ? other.getUdate() == null : this.getUdate().equals(other.getUdate()))
            && (this.getUuser() == null ? other.getUuser() == null : this.getUuser().equals(other.getUuser()))
            && (this.getSumdate() == null ? other.getSumdate() == null : this.getSumdate().equals(other.getSumdate()))
            && (this.getSumuser() == null ? other.getSumuser() == null : this.getSumuser().equals(other.getSumuser()))
            && (this.getUnitId() == null ? other.getUnitId() == null : this.getUnitId().equals(other.getUnitId()))
            && (this.getIsSumuser() == null ? other.getIsSumuser() == null : this.getIsSumuser().equals(other.getIsSumuser()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getUnitName() == null) ? 0 : getUnitName().hashCode());
        result = prime * result + ((getFilingMonth() == null) ? 0 : getFilingMonth().hashCode());
        result = prime * result + ((getCdate() == null) ? 0 : getCdate().hashCode());
        result = prime * result + ((getCuser() == null) ? 0 : getCuser().hashCode());
        result = prime * result + ((getUdate() == null) ? 0 : getUdate().hashCode());
        result = prime * result + ((getUuser() == null) ? 0 : getUuser().hashCode());
        result = prime * result + ((getSumdate() == null) ? 0 : getSumdate().hashCode());
        result = prime * result + ((getSumuser() == null) ? 0 : getSumuser().hashCode());
        result = prime * result + ((getUnitId() == null) ? 0 : getUnitId().hashCode());
        result = prime * result + ((getIsSumuser() == null) ? 0 : getIsSumuser().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", code=").append(code);
        sb.append(", unitName=").append(unitName);
        sb.append(", filingMonth=").append(filingMonth);
        sb.append(", cdate=").append(cdate);
        sb.append(", cuser=").append(cuser);
        sb.append(", udate=").append(udate);
        sb.append(", uuser=").append(uuser);
        sb.append(", sumdate=").append(sumdate);
        sb.append(", sumuser=").append(sumuser);
        sb.append(", unitId=").append(unitId);
        sb.append(", isSumuser=").append(isSumuser);
        sb.append("]");
        return sb.toString();
    }
}